﻿@using Glass.Mapper.Sc.Web.Mvc
@model VietHoang.Demo.Web.Models.PageViewModel

<strong>Controller Rendering Example</strong>
<p>Headline: @Html.Glass().Editable(Model, m => m.Headline)</p>
<p>ShortDescription: @Model.ShortDescription</p>
@Html.Glass().Editable(Model, m => m.Body)
<p>Id: @Model.Id.ToString()</p>
<p>Path: @Model.Path</p>
<p>Url: @Model.Url</p>
<p>Name: @Model.Name</p>
<p>Sort Order: @Model.SortOrder</p>
<p>Created date: @Model.CreatedDate</p>
<p>Updated date: @Model.UpdatedDate</p>
<p>Info: @Model.SiteRoot.OrganisationEmail</p>
<p>Language: @Model.Language.Name</p>
@if (@Model.Uri != null)
{
    <p>Database Name: @Model.Uri.DatabaseName</p>
}
<p>Version: @Model.Version</p>
<p>DisplayName: @Model.DisplayName</p>
<p>Template Id: @Model.TemplateId</p>
<p>Template Name: @Model.TemplateName</p>
<p>Full Path: @Model.FullPath</p>
<p>Full Url: @Model.FullUrl</p>
<br />